/***
*apu.h - Database adjustment parameter (user's) declarations
*
*$Id: APU.H 6.99 2008/08/22 17:05:54 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file declares the parameter structure, associated macro symbols,
*   and function prototypes associated with the 'user hook' for
*   database adjustment parameters.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | --- | 89/10/13 | Release 4.0                                             |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*Usage:
*   This is a place holder module.  Please see the description in the file
*   /spsm/glass/apdu.c or the SPSD/M Programmer's Guide for a description
*   of how to add a new database adjustment parameter to SPSM.
*
*****************************************************************************/



/* ==================== MANIFEST CONSTANTS ================================ */

/**
* Fixed constants defining the number of rows in vectors, look-up tables,
* or two-dimensional tables should be defined as macros and placed in this
* section.  In this way they can be used both to define the array sizes
* in this file, and also in the companion function 'apdu.c' where the values
* of these limits are required again.
**/



/* ==================== STRUCTURE DECLARATION MACROS ====================== */

#define S_UA   struct UA_
#define P_UA   S_UA *



/* ==================== STRUCTURE DECLARATIONS ============================ */

/**
* Parameters may be added freely to the following structure, provided only
* that the UA structure does not exceed UAGESIZE (defined in mp.h) bytes.
*
* The existing `UADUMMY' entry can be removed after one or more real entries
* have been added, if desired.
*
* To add a Flag or Option, insert an entry of the form

	int XXXXX;

* To add a numeric scalar parameter insert an entry of the form

	NUMBER XXXXX;

* Please see the SPSD/M Programmer's Guide, or examine the file
* /spsm/defs/ap.h, for information on how to add more complicated
* parameter types.
**/

typedef struct UA_ {
	int UADUMMY;         /* dummy entry */
} UA_;



/* ==================== FUNCTION PROTOTYPES =============================== */

#ifdef P_hh    /* declare prototypes taking hhld or sub-structures */
	extern  void adju(P_hh hhld);
#endif

#ifdef P_pc
	extern  void apdu(P_pc pcp);
#endif

extern  int  apcu(void);
