/***
*Ampc.cpp - Compute derived parameters and edits (Alternate algorithm)
*
*$Id: ampc.cpp 6.99 2008/08/22 17:08:21 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file contains the definition of the .c function.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | TCB | 98/05/28 | Renamed *.cpp, ANSI function headers                    |
* | --- | 89/10/13 | Release 4.0                                             |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*Definitions:
*   Ampc     [global]  Compute derived parameters and edits (user-defined)
*
*****************************************************************************/


/* ==================== C-RUNTIME LIBRARY INCLUDE FILES =================== */

#include <stdio.h>  /* definitions/declarations for standard I/O routines   */


/* ==================== SPSD/M INCLUDE FILES ============================== */

#include "spsm.h"   /* SPSM common manifest constants and macros            */
#include "sub.h"    /* Subroutine library declarations                      */
#include "mpu.h"    /* Tax/transfer parameter declarations (user's)         */
#include "mp.h"     /* Tax/transfer parameter declarations                  */


/* ==================== GLOBAL VARIABLE DEFINITIONS ======================= */

/* Give global string describing version of this module */

/*global*/ char FAR Tmpc[] = "None/Aucun"
#ifdef _MSC_VER
" [" __TIMESTAMP__ "]"
#endif
;


/* ==================== COMPILER PRAGMAS ================================== */

#ifdef MSCOVL
#pragma alloc_text(DIALOG_TEXT,Ampc)
#endif


/* ==================== FUNCTION DEFINITIONS ============================== */

/*****************************************************************************
*Ampc - Compute derived parameters and edits (user-defined)
*
*Synopsis:
*    int Ampc()           
*
*Description:
*
*Return Value:
*   Return FALSE if everything was ok.
*
*Calls:
*   mpc      Calculate derived model parameters and do edits
*
*Called by:
*   mpin     Obtain model parameters from user
*
*****************************************************************************/
int  Ampc()
{
	int parmerr = FALSE;

	DEBUG_ON("Ampc");

	/* Perform the standard derived parameter calculations. */
	parmerr = mpc();

	/* Any additional calculations and checks can be added here. */

	DEBUG_OFF("Ampc");
	return(parmerr);
}

