/***
*vsu.h - Household variable sub-structure (user's)
*
*$Id: VSU.H 6.99 2008/08/22 17:05:54 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file declares structures, defines symbols, and gives prototypes
*   associated with 'user hooks' to the variable structures
*   and sub-structures used in SPSD/M.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | --- | 89/10/13 | Release 4.0                                             |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*Usage:
*   This is a place holder module.  Please see the description in the file
*   /spsm/glass/vsdu.c or the SPSD/M Programmer's Guide for a description
*   of how to add a new variable to SPSM.
*
*****************************************************************************/



/* ==================== MANIFEST CONSTANTS ================================ */



/* ==================== STRUCTURE DECLARATION MACROS ====================== */

#define S_uv   struct uv_
#define P_uv   S_uv NEARHHLD *



/* ==================== STRUCTURE DECLARATIONS ============================ */

/**
* Variables may be added freely to the following structure, provided only
* that the uv structure does not exceed UVGLSIZE (defined in vs.h) bytes.
*
* The existing `uvdummy' entry can be removed after one or more real entries
* have been added, if desired.
*
* To add an integer, insert an entry of the form

	int XXXXX;

* To add a number, such as a dollar quantity, insert an entry of the form

	NUMBER XXXXX;

*
**/

typedef struct uv_ {
	NUMBER   uvdummy;          /* dummy variable                             */
} uv_;
