/***
*apcu.cpp - Compute derived database adjustment parameters and edits (user's)
*
*$Id: APCU.cpp 6.98 2008/08/22 17:08:20 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file contains the definition of the apcu.c function.  It allows
*   the user to add new parameters to control the user database adjustment
*   function adjustu().  See the SPSD/M Programmer's Guide for more
*   information.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | TCB | 98/05/28 | Renamed *.cpp, ANSI function headers                    |
* | --- | 89/10/13 | Release 4.0                                             |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*Definitions:
*   apcu     [global]  Compute derived data ageing parameters and edits (user-defined)
*
*****************************************************************************/


/* ==================== C-RUNTIME LIBRARY INCLUDE FILES =================== */

#include <stdio.h>  /* definitions/declarations for standard I/O routines   */


/* ==================== SPSD/M INCLUDE FILES ============================== */

#include "spsm.h"   /* SPSM common manifest constants and macros            */
#include "sub.h"    /* Subroutine library declarations                      */
#include "apu.h"    /* Database adjustment parameter (user's) declarations  */
#include "ap.h"     /* Database adjustment parameter declarations           */


/* ==================== COMPILER PRAGMAS ================================== */

#ifdef MSCOVL
#pragma alloc_text(DIALOG_TEXT,apcu)
#endif


/* ==================== FUNCTION DEFINITIONS ============================== */

/*****************************************************************************
*apcu - Compute derived data ageing parameters and edits (user-defined)
*
*Synopsis:
*    int apcu()           
*
*Description:
*
*Return Value:
*   None.
*
*Called by:
*   apin     Obtain data ageing parameters from user
*
*****************************************************************************/
int  apcu()
{
	int parmerr = FALSE;

	DEBUG_ON("apcu");

	DEBUG_OFF("apcu");
	return(parmerr);
}


