/***
*classu.cpp - Compute user-defined reporting variables
*
*$Id: classu.cpp 6.99 2008/08/22 17:08:22 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file contains the definition of the classu.c function.  It provides
*   a controlled manner in which the user can compute and assign values to
*   new variables that have been previously defined to the spsm.  Since this
*   function is normally called by both the standard and alternate model
*   drivers, assignments made in classu will be effective in both cases.
*   See the SPSD/M Programmer's Guide for more information.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | TCB | 98/05/28 | Renamed *.cpp, ANSI function headers                    |
* | --- | 89/10/13 | Release 4.0                                             |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*Definitions:
*   classu   [global]  Compute user-defined reporting variables
*
*****************************************************************************/


/* ==================== C-RUNTIME LIBRARY INCLUDE FILES =================== */

#include <stdio.h>  /* definitions/declarations for standard I/O routines   */


/* ==================== SPSD/M INCLUDE FILES ============================== */

#include "spsm.h"   /* SPSM common manifest constants and macros            */
#include "sub.h"    /* Subroutine library declarations                      */
#include "vsu.h"    /* Household variable sub-structure (user's)            */
#include "vs.h"     /* Household variable structure and sub-structures      */
#include "mpu.h"    /* Tax/transfer parameter declarations (user's)         */
#include "mp.h"     /* Tax/transfer parameter declarations                  */


/* ==================== COMPILER PRAGMAS ================================== */

#ifdef MSCOVL
#pragma alloc_text(MODEL_TEXT,classu)
#endif


/* ==================== FUNCTION DEFINITIONS ============================== */

/*****************************************************************************
*classu - Compute user-defined reporting variables
*
*Synopsis:
*    void classu(         
*    P_hh hh              
*    )                    
*
*Description:
*
*Return Value:
*   None.
*
*Called by:
*   Adrv     Alternate tax/transfer calculator
*   drv      Tax/transfer calculator
*
*****************************************************************************/
void  classu(
	P_hh hh
)
{
	DEBUG_ON("classu");

	hh; /* reference to avoid compiler warnings */

	DEBUG_OFF("classu");
}


